# $Revision: 1.10 $, $Date: 2004/08/20 14:00:28 $
Summary:	765 FDC
Summary(pl):	Biblioteka 765
Name:		lib765
Version:	0.3.1.1
Release:	5
License:	LGPL
Group:		Libraries
Source0:	http://www.seasip.demon.co.uk/Unix/LibDsk/%{name}-%{version}.tar.gz
# Source0-md5:	1d44827dd9df69c60014c9ede0096182
URL:		http://www.seasip.demon.co.uk/Unix/LibDsk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libdsk-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"765" is an emulation of the uPD765a (AKA Intel 8272) Floppy Disc
Controller [FDC] as used in Amstrad computers such as the PCW, CPC and
Spectrum +3. At present it is not a "full" 765; features not used in
the PCW BIOS (such as: DMA; multisector reads/writes; multitrack mode)
are either left unimplemented or incomplete.

"765" is released under the GNU Library GPL.

%description -l pl
"765" jest emulacj kontrolera dyskw elastycznych uPD765a (znanego
te jako Intel 8272) uywanego w komputerach Amstrada, takich jak PCW,
CPC czy Spectrum +3. Na razie nie jest to "pene" 765; waciwoci
nieuywane w BIOSie PCW (takie jak: DMA; odczyt/zapis wielu sektorw;
tryb wielociekowy) s albo niezaimplementowane albo ich emulacja
jest niepena.

"765" jest wypuszczone ma licencji LGPL.

%package devel
Summary:	765 library - development files
Summary(pl):	Pliki programistyczne biblioteki 765
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libdsk-devel

%description devel
The lib765-devel package contains the header files and documentation
needed to develop applications with lib765.

%description devel -l pl
Pakiet lib765-devel zawiera pliki nagwkowe i dokumentacj potrzebne
do kompilowania aplikacji korzystajcych z lib765.

%package static
Summary:	765 static library
Summary(pl):	Statyczna biblioteka lib765
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static lib765 library.

%description static -l pl
Statyczna wersja biblioteki lib765.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_libdir}/lib765.so.*.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/765.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib765.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lib765.spec,v $
Revision 1.10  2004/08/20 14:00:28  havner
- rel 5

Revision 1.9  2004/08/17 23:26:15  havner
- rel 4

Revision 1.8  2004/08/09 22:47:45  havner
- rel 3

Revision 1.7  2004/02/17 21:45:16  qboosh
- strict deps, -devel deps, release 2 (rebuild with libdsk 1.1.1)

Revision 1.6  2003/08/18 08:08:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/08/14 09:32:07  qboosh
- updated to 0.3.1.1

Revision 1.4  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/25 23:37:49  qboosh
- BR: libtool

Revision 1.1  2003/03/24 06:31:54  juandon
- initial release
